brooklyn-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From s...@apache.org
Subject [5/9] brooklyn-client git commit: add glide support to mvn install
Date Fri, 03 Jun 2016 13:07:46 GMT
add glide support to mvn install


Project: http://git-wip-us.apache.org/repos/asf/brooklyn-client/repo
Commit: http://git-wip-us.apache.org/repos/asf/brooklyn-client/commit/e83190c6
Tree: http://git-wip-us.apache.org/repos/asf/brooklyn-client/tree/e83190c6
Diff: http://git-wip-us.apache.org/repos/asf/brooklyn-client/diff/e83190c6

Branch: refs/heads/master
Commit: e83190c6dc3b51fcfc217d8eff6d5a373de11510
Parents: 82fbdb6
Author: John McCabe <john@johnmccabe.net>
Authored: Thu Jun 2 22:17:42 2016 +0100
Committer: John McCabe <john@johnmccabe.net>
Committed: Thu Jun 2 22:17:42 2016 +0100

----------------------------------------------------------------------
 release/build.sh | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/brooklyn-client/blob/e83190c6/release/build.sh
----------------------------------------------------------------------
diff --git a/release/build.sh b/release/build.sh
index 4440823..dfee050 100755
--- a/release/build.sh
+++ b/release/build.sh
@@ -27,6 +27,7 @@ GOPACKAGE="github.com/apache/brooklyn-client/${BRNAME}"
 PROJECT="github.com/apache/brooklyn-client"
 CLI_PACKAGE="${PROJECT}/${BRNAME}"
 GOBIN=go
+GLIDE=glide
 
 START_TIME=$(date +%s)
 
@@ -187,6 +188,19 @@ mkdir -p ${GOPATH}/src/${PROJECT%/*}
 [ -e ${GOPATH}/src/${PROJECT} ] || ln -s ${sourcedir} ${GOPATH}/src/${PROJECT}
 PATH=${GOPATH}/bin:${PATH}
 
+command -v $GLIDE >/dev/null 2>&1 || {
+	echo Installing $GLIDE
+	go get github.com/Masterminds/glide || { echo failed installing $GLIDE ; exit 1; }
+}
+
+command -v $GLIDE >/dev/null 2>&1 || {
+	echo "Command for resolving dependencies ($GLIDE) not found and could not be installed in
$GOPATH"
+	exit 1
+}
+
+echo "Installing dependencies"
+$GLIDE install
+
 if [ -n "$all" -a \( -n "$os" -o -n "$arch" \) ]; then
 	show_help
 	echo "OS and ARCH must not be combined with ALL"


Mime
View raw message